Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229632 - FC6 update has broken deps
Summary: FC6 update has broken deps
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 6
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Luke Macken
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-22 10:43 UTC by Michael Schwendt
Modified: 2016-09-20 02:37 UTC (History)
1 user (show)

Fixed In Version: 1.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-27 08:21:58 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-02-22 10:43:37 UTC
source rpm: python-virtinst-0.98.0-1.fc6.src.rpm
package: python-virtinst - 0.98.0-1.fc6.noarch from fedora-core-updates-6-ppc
  unresolved deps: 
     libvirt-python >= 0:0.1.4-4


https://www.redhat.com/archives/fedora-maintainers/2007-February/msg00064.html

Quote:

> No clue why that's complaining. The python-virtinst spec file has an 
> explict 'ExcludeArch: ppc ppc64' rule in there, so it shouldn't ever
> make it to the fedora-core-updates-6-ppc  collection.

Comment 1 Jeremy Katz 2007-02-22 13:53:00 UTC
This looks to be a bug with the update system.

Comment 2 Luke Macken 2007-02-27 08:21:58 UTC
Yes, the updates system is ignorant with regard to ExcludeArches.  dgregor sent
me a patch to have it check for this while building the filelist, but it needs
to be shoved into the push code as well.  I'm going to also make sure that the
new updates system, bodhi, can handle this properly.

I went ahead and removed python-virtinst from the ppc updates.  


Note You need to log in before you can comment on or make changes to this bug.